Register webhook URLs to receive event notifications. URLs must be HTTPS; Blaaiz signs requests via x-blaaiz-signature. Verify deliveries with your webhook signing_secret. Your collection_url receives collection events, virtual account events, and customer KYC events such as customer.created, customer.verified, and customer.rejected. Your optional kyc_url receives Signa verification session events. Required scope: webhook:write.
Authorization
oauth2ClientCredentials webhook:writeUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: webhook:write
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl --request POST \ --url 'https://example.com/api/external/webhook' \ --header 'Content-Type: application/json' \ --data '{ "payout_url": "https://yourapp.com/webhooks/payout", "collection_url": "https://yourapp.com/webhooks/collection", "kyc_url": "https://yourapp.com/webhooks/kyc"}'{ "message": "Webhook record created successfully", "data": { "signing_secret": "a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0" }}GETGet beneficiary
Retrieve details of a specific beneficiary for a customer. Required scope: `beneficiary:read`.
GETGet webhook URLs
Retrieve your registered webhook URLs. Your collection_url is used for collection events, virtual account events, and customer KYC events. Required scope: `webhook:read`.